condor_top(1)

Name

condor_topDisplay status and runtime statistics of a HTCondor daemon

Synopsis
condor_top[-h]

condor_top[-l] [-p centralmanagerhostname[:portname]] [-n name] [-d delay] [-c columnset] [-s sortcolumn] [ -- attrs=<attr1,attr2,...>] [daemon options]

condor_top[-c columnset] [-s sortcolumn] [ -- attrs=<attr1,attr2,...>] [classad-filename classad-filename]

Description
condor_topdisplays the status (e.g. memory usage and duty cycle) of a HTCondor daemon and calculates and displays runtime statistics for the daemon's subprocesses.

When no arguments are specified, condor_topdisplays the status for the primary daemon based on the role of the current machine by scanning the DAEMON_LISTconfiguration setting. If multiple daemons are listed, condor_topwill monitor one of (in decreasing priority): condor_schedd, condor_startd, condor_collector, condor_negotiator, condor_master.

If the condor_collectorreturns multiple ClassAds for the chosen daemon type, condor_topwill display stats from the first ClassAd returned. Results can be constrained by passing the NAMEof a specific daemon with -n.

The default delayis STATISTICS_WINDOW_QUANTUM, which is 4 minutes (240 seconds) in a default HTCondor configuration. Setting the delay smaller can be helpful for finding spikes of activity, but setting the delay too small will lead to poor measurements of the duty cycle and of the runtime statistics.

condor_topcan run in a top-like &ldquo;live&rdquo; mode by passing -l. The live mode is similar to the *nix top command, with stats updating every delayseconds. Redirecting stdout will disable live mode even if -lis set. To exit condor_topwhile in live mode, issue Ctrl-C.

condor_topcan be passed two files containing ClassAds from the same HTCondor daemon, in which case the condor_collectorwill not be queried but rather the statistics will be computed and displayed immediately from the two ClassAds. Only -c, -s, and &ndash;attrs options are considered when passing ClassAds via files.

The following subprocess stat columns may be displayed (*default):

Item

    *Name of the subprocess

InstRt

    *Total runtime between the two ClassAds

InstAvg

    *Mean runtime per execution between the two ClassAds

TotalRt

    Total runtime since daemon start

TotAvg

    *Mean runtime per execution since daemon start

TotMax

    *Max runtime per execution since daemon start

TotMin

    Min runtime per execution since daemon start

RtPctAvg

    *Percent of mean runtime per execution. The ratio of InstAvg to TotAvg, expressed as a percentage

RtPctMax

    Percent of max runtime per execution. The ratio of (InstAvg - TotMin) to (TotMax - TotMin), expressed as a percentage

RtSigmas

    Standard deviations from mean runtime. The ratio of (InstAvg - TotAvg) to the standard deviation in runtime per execution since daemon start

InstCt

    Executions between the two ClassAds

InstRate

    *Executions per second between the two ClassAds

TotalCt

    Total executions (counts) since daemon start

AvgRate

    *Mean count rate. Executions per second since daemon start

CtPctAvg

    Percent of mean count rate. The ratio of InstRate to AvgRate, expressed as a percentage.

Options

-h

    Displays the list of options.

-l

    Puts condor_topin to a live, continually updating mode.

-p centralmanagerhostname[:portname]

    Query the daemon via the specified central manager. If omitted, the value of the configuration variable COLLECTOR_HOSTis used.

-n name

    Query the daemon named name. If omitted, the value used will depend on the type of daemon queried (see Daemon Options).

-d delay

    Specifies the delaybetween ClassAd updates, in integer seconds. If omitted, the value of the configuration variable STATISTICS_WINDOW_QUANTUMis used.

-c columnset

    Display columnsetset of columns. Valid columnsets are: default, runtime, count, all.

-s sortcolumn

    Sort table by sortcolumn. Defaults to InstRt.

&mdash;attrs=<attr1,attr2,...>

    Comma-delimited list of additional ClassAd attributes to monitor.

    Daemon Options

&mdash;collector

    Monitor condor_collectorClassAds. If -n is not set, the constraint &ldquo;Machine == COLLECTOR_HOST&rdquo; will be used.

&mdash;negotiator

    Monitor condor_negotiatorClassAds. If -n is not set, the constraint &ldquo;Machine == COLLECTOR_HOST&rdquo; will be used.

&mdash;master

    Monitor condor_masterClassAds. If -n is not set, the constraint &ldquo;Machine == COLLECTOR_HOST&rdquo; will be used.

&mdash;schedd

    Monitor condor_scheddClassAds. If -n is not set, the constraint &ldquo;Machine == FULL_HOSTNAME&rdquo; will be tried, otherwise the first condor_scheddClassAd returned from the condor_collectorwill be used.

&mdash;startd

    Monitor condor_startdClassAds. If -n is not set, the constraint &ldquo;Machine == FULL_HOSTNAME&rdquo; will be tried, otherwise the first condor_startdClassAd returned from the condor_collectorwill be used.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.